=== debian/changelog ===
procps (1.12.2) stable unstable; urgency=low

  * fixed meminfo handling again, as the fix wouldn't work on pre-2.1.x
    kernels. 
  * fixed free to use the meminfo routines from libproc.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Fri, 13 Jun 1997 22:42:14 +0200

procps (1.12.1) stable unstable; urgency=low

  * fixed several bugs
  * replaced utmp handling to support wrappers.
  * added /proc/meminfo support for 2.1.x kernels.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Tue, 10 Jun 1997 23:59:41 +0200

procps (1.11.6) frozen unstable; urgency=medium

  * psmisc 1.14 : new upstream version (mainly bugfixes)
  * added a lot of new serial device major numbers to the device lookup
    code. Somehow it seems there are new serial devices every other week.
  * fixed a bug in top: broken .toprc may cause a segmentation fault.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sun, 4 May 1997 09:50:30 +0200

procps (1.11.5) frozen unstable; urgency=medium

  * minor changes to make it compile with libc6
  * fix top behaviour on machines having nonstandard NR_TASKS up to 4k
    tasks 

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Fri, 18 Apr 1997 02:07:46 +0200

procps (1.11.4) unstable; urgency=medium

  * strip libproc.so from unneeded symbols (Bug# 8311)
  * fixed watch.1 example (Bug# 8169)
  * partly fixed fuser sigsegv core dump (Bug# 8004)
  * menu entries for xproc and procps (Bug# 8325)
  * divertions for xmem and xload. (Bug# 7565)
  
 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sun, 13 Apr 1997 20:55:05 +0200

procps (1.11.3) unstable; urgency=low

  * fixed uptime again, minor Makefile changes

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Fri, 21 Feb 1997 16:22:04 +0100

procps (1.11.2) unstable; urgency=medium

  * fixed typo in ps_fields.7 (Bug#5457)
  * fixed typo in debian/rules (Bug #5585)
  * fixed bug in w introduced in 1.11.1 (Bugs #5489, #5694, #5695, #5705).
  * added support for non-standard serial devices (long overdue - Bug
    #5771). 
  * fixed uptime option handling (Bug #6099).
  * fixed top problems with missing/corrupted utmp (Bug #5819).
  * fixed manpage problems (Bug #5936).

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Wed, 19 Feb 1997 18:49:26 +0100
