=== debian/control ===
Source: procps
Section: base
Priority: required
Maintainer: Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>
Standards-Version: 2.1.2.2

Package: procps
Architecture: any
Replaces: watch
Provides: watch
Essential: yes
Depends: ${shlibs:Depends}
Conflicts: watch
Suggests: pscol
Description: The /proc file system utilities.
 This is an experimental release of the procps suite. A lot of features have
 been added since the 1.01(a) release:
 - support for both BSD and POSIX (SVR4) style command line options.
 - completely configurable display of information.
 - colour markup of processes exceeding limits or belonging to special users.
 Please take a look at /usr/doc/procps/NEWS, /usr/doc/procps/changelog.debian and
 the manpages for a concise list. This is how the next upstream release of
 procps may look (i.e. it will  look like this if there is not too much
 resistance). 
 This is, for now, a debian-only package which should not appear outside of
 master.debian.org.
 .
 These are utilities to browse the /proc filesystem, which is not a real file
 system but a way for the kernel to provide information about the status of
 entries in its process table. (e.g. running, stopped or "zombie")
 Both command line and full screen utilities are provided. Ncurses is needed
 for the full screen utilities.

Package: libproc-dev
Architecture: any
Section: devel
Priority: optional
Depends: libc-dev, ${shlibs:Depends} 
Description: library for accessing process information from /proc
 These are the header files, static library and manpages for 
 libproc. Some packages using libproc to access process information
 from /proc need these to compile.

Package: xproc
Architecture: any
Section: admin
Priority: optional
Depends: ${shlibs:Depends}
Description: some tools to display process information on X
 This package includes some X programs displaying load, memory use or
 cpu states.
