=== proc/Makefile ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # PROJECT SPECIFIC MACROS
 NAME       =  proc
-#VERSION    =  1        #These are inherited 
-#SUBVERSION =  02
-#SHARED     =  #1#	if 1 then do shared libraries as well as static
 
 # INSTALLATION OPTIONS
 TOPDIR     = /usr
@@ -18,8 +15,9 @@
 INSTALL    = install
 
 # COMPILATION OPTIONS
-CC         =  gcc -O4 -fomit-frame-pointer#-ggdb # easy to command-line override
-CFLAGS     =  -I.. -Wall -fwritable-strings $(PROC_COLOR)
+CC         =  gcc -O2 -D_GNU_SOURCE #-ggdb # easy to command-line override
+#CC         =  gcc -pg -O2 -D_GNU_SOURCE -g3 # easy to command-line override
+CFLAGS     =  -I.. -W -Wall -Wstrict-prototypes -Wshadow -Wcast-align
 
 # ----------------------------------------------------------------#
 # The rest is the auto-magic section -- highly GNU make dependent #
@@ -38,10 +36,10 @@
 HDR        =  $(sort $(wildcard *.h) $(filter %.h,$(RCSFILES)))
 
 OBJ        =  $(SRC:.c=.o)
-SOBJ       =  $(SRC:.c=.so)
-SONAME     =  lib$(NAME).so.$(VERSION).$(SUBVERSION)
+SONAME     =  lib$(NAME).so.$(LIBVERSION)
 
 ifeq ($(SHARED),1)
+CFLAGS += -fpic
 all: lib$(NAME).a $(SONAME)
 else
 all: lib$(NAME).a
@@ -50,16 +48,15 @@
 lib$(NAME).a: $(OBJ)
 	$(AR) rcs $@ $^
 
-$(SONAME): $(SOBJ)
-	gcc -Wl,-shared -Wl,-soname,$(SONAME) -o $@ $^
-	strip --strip-unneeded $(SONAME)
+$(SONAME): $(OBJ)
+	gcc -shared -Wl,-soname,$(SONAME) -o $@ $^ -lc
 	ln -sf $(SONAME) lib$(NAME).so
 
 # AUTOMATIC DEPENDENCY GENERATION -- GCC AND GNUMAKE DEPENDENT
 
 .depend:
 	$(strip $(CC) $(CFLAGS) -MM -MG $(SRC) > .depend)
-include .depend
+-include .depend
 
 # INSTALLATION
 
@@ -69,7 +66,7 @@
 	$(INSTALL) $(LIBOWN) lib$(NAME).a $(LIBDIR)
 ifeq ($(SHARED),1)
 	$(INSTALL) $(LIBOWN) $(SONAME) $(SHLIBDIR)
-	ln -sf $(SHLIBDIR)/$(SONAME) $(SHLIBDIR)/lib$(NAME).so
+	cd $(SHLIBDIR) && ln -sf $(SONAME) lib$(NAME).so
 	ldconfig
 endif
 
@@ -79,10 +76,10 @@
 dep:	.depend
 
 clean:
-	$(RM) lib$(NAME).a lib$(NAME).so* *.o *.so
+	$(RM) lib$(NAME).* *.o DEADJOE
 
 distclean:	clean
-	$(RM) .depend *~ signames.h
+	$(RM) .depend *~
 
 checkout:
 	$(CO) $(RCSFILES)
@@ -95,23 +92,12 @@
 %.o : %.c
 	$(strip $(CC) $(CFLAGS) -c $<)
 
-%.so : %.c
-	$(strip $(CC) $(CFLAGS) -fPIC -c $< -o $@)
-
 # PROJECT SPECIFIC DEPENDENCIES/BUILD RULES
 
 
 version.o:	version.c version.h
+ifdef MINORVERSION
+	$(strip $(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\" -c version.c)
+else
 	$(strip $(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -c version.c)
-
-version.so:	version.c version.h
-	$(strip $(CC) $(CFLAGS) -fPIC -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -c version.c -o $@ )
-
-signals.o signals.so: signames.h
-
-signames.h ../proc/signames.h : /usr/include/signal.h
-	/lib/cpp -dM </usr/include/signal.h |	\
-	tr -s '\t ' '  ' | sort -n +2 | sed		\
-	's:#define SIG\([A-Z]\+[0-9]*\) \([0-9]\+\) *\(\|/\*.*\)$$:{\
-\2,"\1" },:p;d'  > signames.h
-
+endif
