## procps 2.0.7

=== Makefile ===
--- 
+++ 
@@ -1,42 +1,47 @@
 # Makefile for procps.  Chuck Blake.
 # Portions of this are highly dependent upon features specific to GNU make
 
-PREFIX     =  #proc# prefix for program names
-
-DESTDIR = /
-MAN1DIR    =  ${DESTDIR}/usr/man/man1
-MAN8DIR    =  ${DESTDIR}/usr/man/man8
-BINDIR     =  ${DESTDIR}/bin
-SBINDIR    =  ${DESTDIR}/sbin
-XBINDIR    =  ${DESTDIR}/usr/X11R6/bin
-USRBINDIR  =  ${DESTDIR}/usr/bin
-INSTALLBIN =  install --mode a=rx --strip
-INSTALLSCT =  install --mode a=rx
-INSTALLMAN =  install --mode a=r
+export PREFIX     =  #proc# prefix for program names
+
+export DESTDIR    =  /
+export MANDIR     =  /usr/man
+export MAN1DIR    =  $(DESTDIR)$(MANDIR)/man1
+export MAN5DIR    =  $(DESTDIR)$(MANDIR)/man5
+export MAN8DIR    =  $(DESTDIR)$(MANDIR)/man8
+export BINDIR     =  $(DESTDIR)/bin
+export SBINDIR    =  $(DESTDIR)/sbin
+export XBINDIR    =  $(DESTDIR)/usr/X11R6/bin
+export USRBINDIR  =  $(DESTDIR)/usr/bin
+export PROCDIR    =  $(DESTDIR)/usr/bin# /usr/proc/bin for Solaris devotees
+export APPLNK     =  $(DESTDIR)/etc/X11/applnk/Utilities
+export OWNERGROUP =  --owner 0 --group 0
+export INSTALLBIN =  install --mode a=rx --strip
+export INSTALLSCT =  install --mode a=rx
+export INSTALLMAN =  install --mode a=r
 
 BPROG      =  kill #					-> BINDIR
 UPROG      =  oldps uptime tload free w top vmstat watch skill snice # -> USRBINDIR
+PPROG      =  pgrep pkill# -> PROCDIR
 SPROG      =  sysctl
-MAN1       =  oldps.1 uptime.1 tload.1 free.1 w.1 top.1 watch.1 skill.1 kill.1 snice.1
+MAN1       =  oldps.1 uptime.1 tload.1 free.1 w.1 top.1 watch.1 skill.1 kill.1 snice.1 pgrep.1 pkill.1
+MAN5       =  sysctl.conf.5
 MAN8       =  vmstat.8 sysctl.8
+DESKTOP    =  top.desktop
 XSCPT      =  XConsole # -> XBINDIR
 
 SUBDIRS    =  ps # sub-packages to build/install
 
 # easy to command-line override
-INCDIRS    =  -I/usr/include/ncurses -I/usr/X11R6/include
-
-CC         =  gcc -O3 $(INCDIRS) -D_GNU_SOURCE#-ggdb
-CFLAGS     =  -I. -W -Wall -Wstrict-prototypes -Wshadow -Wcast-align # -Wno-unused
-
-OPT        =  -O3
-CC         =  gcc #-ggdb
-CFLAGS     =  -D_GNU_SOURCE $(OPT) -I. $(INCDIRS) -W -Wall -Wstrict-prototypes -Wshadow -Wcast-align # -Wno-unused
-
-SHARED     =  1# build/install both a static and ELF shared library
-SHLIBDIR   =  ${DESTDIR}/lib# where to install the shared library
-
-LDFLAGS    =  -Wl,-warn-common #-s	recommended for ELF systems
+export INCDIRS    =  -I/usr/include/ncurses -I/usr/X11R6/include
+
+export CC         =  gcc #-ggdb # this gets compiling and linking :-)
+export OPT        =  -O2
+export CFLAGS     =  -D_GNU_SOURCE $(OPT) -I$(shell pwd) $(INCDIRS) -W -Wall -Wstrict-prototypes -Wshadow -Wcast-align -Wmissing-prototypes
+
+export SHARED     =  1# build/install both a static and ELF shared library
+export SHLIBDIR   =  $(DESTDIR)/lib# where to install the shared library
+
+export LDFLAGS    =  -Wl,-warn-common #-s	recommended for ELF systems
 #LDFLAGS    =  -qmagic -s#		recommended for a.out systems
 #LDFLAGS    =  -Xlinker -qmagic -s#	older a.out systems may need this
 #LDFLAGS    =  -N -s#			still older a.out systems use this
@@ -58,15 +63,15 @@
 # End of user-configurable portion of the Makefile.  #
 # You should not need to modify anything below this. #
 #----------------------------------------------------#
-BUILD = $(BPROG) $(UPROG) $(SPROG) $(SUBDIRS)
+BUILD = $(BPROG) $(UPROG) $(PPROG) $(SPROG) $(SUBDIRS) $(DESKTOP)
 
 # BUILD LIBRARIES + PROGRAMS
 all: $(BUILD)
 
 # INSTALL PROGRAMS + DOCS
-install: $(patsubst %,install_%,$(BUILD) $(MAN1) $(MAN8))
+install: $(patsubst %,install_%,$(BUILD) $(XSCPT) $(MAN1) $(MAN5) $(MAN8))
 ifeq ($(SHARED),1)
-	install --owner 0 --group 0 --mode a=rx $(LIB_TGT) $(SHLIBDIR)
+	install $(OWNERGROUP) --mode a=rx $(LIB_TGT) $(SHLIBDIR)
 endif
 
 # INSTALL LIBRARIES + HEADERS (OPTIONAL)
@@ -74,7 +79,7 @@
 	$(MAKE) -C proc install $(LIBPROCPASS)
 
 clean:
-	$(RM) -f $(OBJ) $(BPROG) $(UPROG) $(SPROG)
+	$(RM) -f $(OBJ) $(BPROG) $(UPROG) $(PPROG) $(SPROG)
 	for i in proc $(SUBDIRS); do $(MAKE) -C $$i clean; done
 
 distclean: clean
@@ -101,7 +106,7 @@
 # Note: LIBVERSION may be less than $(VERSION).$(SUBVERSION).$(MINORVERSION)
 # LIBVERSION is only set to current $(VERSION).$(SUBVERSION).$(MINORVERSION)
 # when an incompatible change is made in libproc.
-LIBVERSION   =  2.0.6
+LIBVERSION   =  2.0.7
 ifdef MINORVERSION
 LIBPROCPASS  =  SHARED=$(SHARED) SHLIBDIR=$(SHLIBDIR) VERSION=$(VERSION) SUBVERSION=$(SUBVERSION) MINORVERSION=$(MINORVERSION) LIBVERSION=$(LIBVERSION)
 else
@@ -135,7 +140,7 @@
 %.o : %.c
 	$(strip $(CC) $(CFLAGS) -c $^)
 
-oldps w uptime tload free vmstat utmp: % : %.o
+oldps w uptime tload free vmstat utmp pgrep: % : %.o
 	$(strip $(CC) $(LDFLAGS) -o $@ $< $(LIB_TGT) $(EXTRALIBS))
 
 
@@ -164,6 +169,8 @@
 kill:	skill
 	ln -f skill kill
 
+pkill:	pgrep
+	ln -f pgrep pkill
 
 # static pattern installation rules
 
@@ -173,18 +180,26 @@
 	$(INSTALLBIN) $< $(SBINDIR)/$(PREFIX)$<
 $(patsubst %,install_%,$(UPROG)): install_%: %
 	$(INSTALLBIN) $< $(USRBINDIR)/$(PREFIX)$<
+$(patsubst %,install_%,$(PPROG)): install_%: %
+	$(INSTALLBIN) $< $(PROCDIR)/$(PREFIX)$<
 $(patsubst %,install_%,$(XSCPT)): install_%: %
 	$(INSTALLSCT) $< $(XBINDIR)/$(PREFIX)$<
 $(patsubst %,install_%,$(MAN1)) : install_%: %
 	$(INSTALLMAN) $< $(MAN1DIR)/$(PREFIX)$<
+$(patsubst %,install_%,$(MAN5)) : install_%: %
+	$(INSTALLMAN) $< $(MAN5DIR)/$(PREFIX)$<
 $(patsubst %,install_%,$(MAN8)) : install_%: %
 	$(INSTALLMAN) $< $(MAN8DIR)/$(PREFIX)$<
+$(patsubst %,install_%,$(DESKTOP)) : install_%: %
+	$(INSTALLSCT $< $(APPLNK)/$(PREFIX)$<
 
 # special case install rules
 install_snice: snice install_skill
 	cd $(USRBINDIR) && ln -f skill snice
 install_kill: snice install_skill
 	cd $(USRBINDIR) && ln -f skill kill
+install_pkill: pgrep install_pgrep
+	cd $(USRBINDIR) && ln -f pgrep pkill
 
 # Find all the source and object files in this directory
